---
references:
- id: AchlioptasDatabasefriendly2003
  accessed:
    - year: 2014
      month: 5
      day: 15
  author:
    - family: Achlioptas
      given: Dimitris
  citation-key: AchlioptasDatabasefriendly2003
  collection-title: Special Issue on PODS 2001
  container-title: Journal of Computer and System Sciences
  container-title-short: Journal of Computer and System Sciences
  DOI: 10.1016/S0022-0000(03)00025-4
  ISSN: 0022-0000
  issue: '4'
  issued:
    - year: 2003
      month: 6
  page: 671-687
  title: >-
    Database-friendly random projections: Johnson-Lindenstrauss with binary
    coins
  type: article-journal
  volume: '66'

- id: AchlioptasFast2007
  accessed:
    - year: 2016
      month: 7
      day: 12
  author:
    - family: Achlioptas
      given: Dimitris
    - family: Mcsherry
      given: Frank
  citation-key: AchlioptasFast2007
  container-title: J. ACM
  DOI: 10.1145/1219092.1219097
  ISSN: 0004-5411
  issue: '2'
  issued:
    - year: 2007
      month: 4
  title: Fast Computation of Low-rank Matrix Approximations
  type: article-journal
  URL: http://web.stanford.edu/class/ee378b/papers/achlioptas.pdf
  volume: '54'

- id: AlaouiFast2014
  accessed:
    - year: 2015
      month: 1
      day: 20
  author:
    - family: Alaoui
      given: Ahmed El
    - family: Mahoney
      given: Michael W.
  citation-key: AlaouiFast2014
  container-title: arXiv:1411.0306 [cs, stat]
  issued:
    - year: 2014
      month: 11
      day: 2
  title: Fast Randomized Kernel Methods With Statistical Guarantees
  type: article-journal
  URL: http://arxiv.org/abs/1411.0306

- id: BardenetNote2015
  author:
    - family: Bardenet
      given: Rémi
    - family: Maillard
      given: Odalric-Ambrym
  citation-key: BardenetNote2015
  issued:
    - year: 2015
  language: en
  title: >-
    A note on replacing uniform subsampling by random projections in MCMC for
    linear regression of tall datasets
  type: article-journal
  URL: https://hal.science/hal-01248841/

- id: BinghamRandom2001
  accessed:
    - year: 2014
      month: 11
      day: 20
  author:
    - family: Bingham
      given: Ella
    - family: Mannila
      given: Heikki
  citation-key: BinghamRandom2001
  collection-title: KDD '01
  container-title: >-
    Proceedings of the Seventh ACM SIGKDD International Conference on Knowledge
    Discovery and Data Mining
  DOI: 10.1145/502512.502546
  event-place: New York, NY, USA
  ISBN: 1-58113-391-X
  issued:
    - year: 2001
  page: 245–250
  publisher: ACM
  publisher-place: New York, NY, USA
  title: >-
    Random Projection in Dimensionality Reduction: Applications to Image and
    Text Data
  type: paper-conference
  URL: >-
    http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.24.5135&rep=rep1&type=pdf

- id: BoutsidisRandomized2017
  accessed:
    - year: 2022
      month: 10
      day: 22
  author:
    - family: Boutsidis
      given: Christos
    - family: Drineas
      given: Petros
    - family: Kambadur
      given: Prabhanjan
    - family: Kontopoulou
      given: Eugenia-Maria
    - family: Zouzias
      given: Anastasios
  citation-key: BoutsidisRandomized2017
  container-title: Linear Algebra and its Applications
  container-title-short: Linear Algebra and its Applications
  DOI: 10.1016/j.laa.2017.07.004
  ISSN: '00243795'
  issued:
    - year: 2017
      month: 11
  language: en
  page: 95-117
  title: >-
    A randomized algorithm for approximating the log determinant of a symmetric
    positive definite matrix
  type: article-journal
  volume: '533'

- id: BrossolletLightOn2021
  accessed:
    - year: 2024
      month: 3
      day: 25
  author:
    - family: Brossollet
      given: Charles
    - family: Cappelli
      given: Alessandro
    - family: Carron
      given: Igor
    - family: Chaintoutis
      given: Charidimos
    - family: Chatelain
      given: Amélie
    - family: Daudet
      given: Laurent
    - family: Gigan
      given: Sylvain
    - family: Hesslow
      given: Daniel
    - family: Krzakala
      given: Florent
    - family: Launay
      given: Julien
    - family: Mokaadi
      given: Safa
    - family: Moreau
      given: Fabien
    - family: Müller
      given: Kilian
    - family: Ohana
      given: Ruben
    - family: Pariente
      given: Gustave
    - family: Poli
      given: Iacopo
    - family: Tommasone
      given: Elena
  citation-key: BrossolletLightOn2021
  DOI: 10.48550/arXiv.2107.11814
  issued:
    - year: 2021
      month: 7
      day: 25
  number: arXiv:2107.11814
  publisher: arXiv
  title: >-
    LightOn Optical Processing Unit: Scaling-up AI and HPC with a Non von
    Neumann co-processor
  type: article
  URL: http://arxiv.org/abs/2107.11814

- id: CavaillesHighfidelity2022
  accessed:
    - year: 2024
      month: 3
      day: 25
  author:
    - family: Cavaillès
      given: A.
    - family: Boucher
      given: P.
    - family: Daudet
      given: L.
    - family: Carron
      given: I.
    - family: Gigan
      given: S.
    - family: Müller
      given: K.
  citation-key: CavaillesHighfidelity2022
  container-title: Optics Express
  container-title-short: Opt. Express
  DOI: 10.1364/OE.462071
  ISSN: 1094-4087
  issue: '17'
  issued:
    - year: 2022
      month: 8
      day: 15
  page: '30058'
  title: >-
    A high-fidelity and large-scale reconfigurable photonic processor for NISQ
    applications
  type: article-journal
  URL: http://arxiv.org/abs/2205.01704
  volume: '30'

- id: ChoromanskiUnreasonable2017
  author:
    - family: Choromanski
      given: Krzysztof
    - family: Rowland
      given: Mark
    - family: Weller
      given: Adrian
  citation-key: ChoromanskiUnreasonable2017
  container-title: arXiv:1703.00864 [stat]
  issued:
    - year: 2017
      month: 3
      day: 2
  title: The Unreasonable Effectiveness of Random Orthogonal Embeddings
  type: article-journal
  URL: http://arxiv.org/abs/1703.00864

- id: DasguptaElementary2003
  accessed:
    - year: 2014
      month: 5
      day: 15
  author:
    - family: Dasgupta
      given: Sanjoy
    - family: Gupta
      given: Anupam
  citation-key: DasguptaElementary2003
  container-title: Random Structures & Algorithms
  container-title-short: Random Struct. Alg.
  DOI: 10.1002/rsa.10073
  ISSN: 1098-2418
  issue: '1'
  issued:
    - year: 2003
      month: 1
      day: 1
  language: en
  page: 60-65
  title: An elementary proof of a theorem of Johnson and Lindenstrauss
  type: article-journal
  URL: http://www.cs.cmu.edu/afs/cs.cmu.edu/Web/People/anupamg/papers/jl.pdf
  volume: '22'

- id: DasguptaExperiments2000
  accessed:
    - year: 2014
      month: 11
      day: 20
  author:
    - family: Dasgupta
      given: Sanjoy
  citation-key: DasguptaExperiments2000
  collection-title: UAI'00
  container-title: >-
    Proceedings of the Sixteenth Conference on Uncertainty in Artificial
    Intelligence
  event-place: San Francisco, CA, USA
  ISBN: 1-55860-709-9
  issued:
    - year: 2000
  page: 143–151
  publisher: Morgan Kaufmann Publishers Inc.
  publisher-place: San Francisco, CA, USA
  title: Experiments with Random Projection
  type: paper-conference
  URL: http://arxiv.org/abs/1301.3849

- id: DezfouliScalable2015
  accessed:
    - year: 2018
      month: 3
      day: 13
  author:
    - family: Dezfouli
      given: Amir
    - family: Bonilla
      given: Edwin V.
  citation-key: DezfouliScalable2015
  collection-title: NIPS'15
  container-title: Advances in Neural Information Processing Systems 28
  event-place: Cambridge, MA, USA
  issued:
    - year: 2015
  page: 1414–1422
  publisher: MIT Press
  publisher-place: Cambridge, MA, USA
  title: Scalable Inference for Gaussian Process Models with Black-box Likelihoods
  type: paper-conference
  URL: http://dl.acm.org/citation.cfm?id=2969239.2969397

- id: DrineasFast2006
  accessed:
    - year: 2023
      month: 4
      day: 26
  author:
    - family: Drineas
      given: Petros
    - family: Kannan
      given: Ravi
    - family: Mahoney
      given: Michael W.
  citation-key: DrineasFast2006
  container-title: SIAM Journal on Computing
  container-title-short: SIAM J. Comput.
  DOI: 10.1137/S0097539704442702
  ISSN: 0097-5397
  issue: '1'
  issued:
    - year: 2006
      month: 1
  page: 184-206
  publisher: Society for Industrial and Applied Mathematics
  title: >-
    Fast Monte Carlo Algorithms for Matrices III: Computing a Compressed
    Approximate  Matrix Decomposition
  type: article-journal
  volume: '36'

- id: DrineasFast2006a
  accessed:
    - year: 2023
      month: 4
      day: 26
  author:
    - family: Drineas
      given: Petros
    - family: Kannan
      given: Ravi
    - family: Mahoney
      given: Michael W.
  citation-key: DrineasFast2006a
  container-title: SIAM Journal on Computing
  container-title-short: SIAM J. Comput.
  DOI: 10.1137/S0097539704442696
  ISSN: 0097-5397
  issue: '1'
  issued:
    - year: 2006
      month: 1
  page: 158-183
  publisher: Society for Industrial and Applied Mathematics
  title: >-
    Fast Monte Carlo Algorithms for Matrices II: Computing a Low-Rank
    Approximation to a Matrix
  type: article-journal
  volume: '36'

- id: DrineasNystrom2005
  accessed:
    - year: 2014
      month: 10
      day: 10
  author:
    - family: Drineas
      given: Petros
    - family: Mahoney
      given: Michael W.
  citation-key: DrineasNystrom2005
  container-title: Journal of Machine Learning Research
  ISSN: 1532-4435
  issued:
    - year: 2005
      month: 12
  page: 2153–2175
  title: >-
    On the Nyström method for approximating a Gram matrix for improved
    kernel-based learning
  type: article-journal
  URL: http://jmlr.org/papers/volume6/drineas05a/drineas05a.pdf
  volume: '6'

- id: EdelmanEigenvalues1989
  accessed:
    - year: 2022
      month: 4
      day: 5
  author:
    - family: Edelman
      given: Alan
  citation-key: EdelmanEigenvalues1989
  issued:
    - year: 1989
  title: Eigenvalues and Condition Numbers of Random Matrices
  type: thesis
  URL: https://math.mit.edu/~edelman/thesis/thesis.pdf

- id: ErichsonRandomized2016
  accessed:
    - year: 2016
      month: 8
      day: 16
  author:
    - family: Erichson
      given: N. Benjamin
    - family: Voronin
      given: Sergey
    - family: Brunton
      given: Steven L.
    - family: Kutz
      given: J. Nathan
  citation-key: ErichsonRandomized2016
  container-title: arXiv:1608.02148 [cs, stat]
  issued:
    - year: 2016
      month: 8
      day: 6
  title: Randomized Matrix Decompositions using R
  type: article-journal
  URL: http://arxiv.org/abs/1608.02148

- id: GolubMatrices2010
  accessed:
    - year: 2023
      month: 4
      day: 26
  author:
    - family: Golub
      given: Gene H.
    - family: Meurant
      given: Gérard
  citation-key: GolubMatrices2010
  event-place: USA
  ISBN: 978-0-691-14341-5
  issued:
    - year: 2010
  publisher: Princeton University Press
  publisher-place: USA
  title: Matrices, Moments and Quadrature with Applications
  type: book
  URL: https://www.jstor.org/stable/j.ctt7tbvs

- id: GottwaldSupervised2020
  accessed:
    - year: 2020
      month: 9
      day: 11
  author:
    - family: Gottwald
      given: Georg A.
    - family: Reich
      given: Sebastian
  citation-key: GottwaldSupervised2020
  container-title: arXiv:2007.07383 [physics, stat]
  issued:
    - year: 2020
      month: 7
      day: 14
  title: >-
    Supervised learning from noisy observations: Combining machine-learning
    techniques with data assimilation
  type: article-journal
  URL: http://arxiv.org/abs/2007.07383

- id: GowerRandomized2016
  author:
    - family: Gower
      given: Robert M.
    - family: Richtárik
      given: Peter
  citation-key: GowerRandomized2016
  container-title: arXiv:1602.01768 [cs, math]
  issued:
    - year: 2016
      month: 2
      day: 4
  title: >-
    Randomized Quasi-Newton Updates are Linearly Convergent Matrix Inversion
    Algorithms
  type: article-journal
  URL: http://arxiv.org/abs/1602.01768

- id: GowerSketch2016
  author:
    - family: Gower
      given: Robert M.
  citation-key: GowerSketch2016
  container-title: arXiv:1612.06013 [math]
  issued:
    - year: 2016
      month: 12
      day: 18
  title: >-
    Sketch and Project: Randomized Iterative Methods for Linear Systems and
    Inverting Matrices
  type: article-journal
  URL: http://arxiv.org/abs/1612.06013

- id: HalkoAlgorithm2011
  accessed:
    - year: 2023
      month: 4
      day: 26
  author:
    - family: Halko
      given: Nathan
    - family: Martinsson
      given: Per-Gunnar
    - family: Shkolnisky
      given: Yoel
    - family: Tygert
      given: Mark
  citation-key: HalkoAlgorithm2011
  container-title: SIAM Journal on Scientific Computing
  container-title-short: SIAM J. Sci. Comput.
  DOI: 10.1137/100804139
  ISSN: 1064-8275
  issue: '5'
  issued:
    - year: 2011
      month: 1
  page: 2580-2594
  publisher: Society for Industrial and Applied Mathematics
  title: An Algorithm for the Principal Component Analysis of Large Data Sets
  type: article-journal
  URL: http://arxiv.org/abs/1007.5510
  volume: '33'

- id: HalkoFinding2010
  accessed:
    - year: 2022
      month: 10
      day: 22
  author:
    - family: Halko
      given: Nathan
    - family: Martinsson
      given: Per-Gunnar
    - family: Tropp
      given: Joel A.
  citation-key: HalkoFinding2010
  DOI: 10.48550/arXiv.0909.4061
  issued:
    - year: 2010
      month: 12
      day: 14
  number: arXiv:0909.4061
  publisher: arXiv
  title: >-
    Finding structure with randomness: Probabilistic algorithms for constructing
    approximate matrix decompositions
  type: article
  URL: http://arxiv.org/abs/0909.4061

- id: HesslowPhotonic2021
  accessed:
    - year: 2021
      month: 7
      day: 20
  author:
    - family: Hesslow
      given: Daniel
    - family: Cappelli
      given: Alessandro
    - family: Carron
      given: Igor
    - family: Daudet
      given: Laurent
    - family: Lafargue
      given: Raphaël
    - family: Müller
      given: Kilian
    - family: Ohana
      given: Ruben
    - family: Pariente
      given: Gustave
    - family: Poli
      given: Iacopo
  citation-key: HesslowPhotonic2021
  container-title: arXiv:2104.14429 [cs, stat]
  issued:
    - year: 2021
      month: 5
      day: 7
  title: >-
    Photonic co-processors in HPC: using LightOn OPUs for Randomized Numerical
    Linear Algebra
  type: article-journal
  URL: http://arxiv.org/abs/2104.14429

- id: HutchinsonStochastic1990
  accessed:
    - year: 2016
      month: 8
      day: 31
  author:
    - family: Hutchinson
      given: M.F.
  citation-key: HutchinsonStochastic1990
  container-title: Communications in Statistics - Simulation and Computation
  DOI: 10.1080/03610919008812866
  ISSN: 0361-0918, 1532-4141
  issue: '2'
  issued:
    - year: 1990
      month: 1
  language: en
  page: 433-450
  title: >-
    A stochastic estimator of the trace of the influence matrix for laplacian
    smoothing splines
  type: article-journal
  URL: >-
    https://www.researchgate.net/profile/MF_Hutchinson/publication/245083270_A_stochastic_estimator_for_the_trace_of_the_influence_matrix_for_Laplacian_smoothing_splines/links/02e7e53c0c390d72ee000000.pdf
  volume: '19'

- id: KapralovHow2016
  accessed:
    - year: 2016
      month: 8
      day: 28
  author:
    - family: Kapralov
      given: Michael
    - family: Potluru
      given: Vamsi K.
    - family: Woodruff
      given: David P.
  citation-key: KapralovHow2016
  container-title: arXiv:1606.05732 [cs]
  issued:
    - year: 2016
      month: 6
      day: 18
  title: How to Fake Multiply by a Gaussian Matrix
  type: article-journal
  URL: http://arxiv.org/abs/1606.05732

- id: KrummenacherScalable2016
  author:
    - family: Krummenacher
      given: Gabriel
    - family: McWilliams
      given: Brian
    - family: Kilcher
      given: Yannic
    - family: Buhmann
      given: Joachim M
    - family: Meinshausen
      given: Nicolai
  citation-key: KrummenacherScalable2016
  container-title: Advances in Neural Information Processing Systems 29
  editor:
    - family: Lee
      given: D. D.
    - family: Sugiyama
      given: M.
    - family: Luxburg
      given: U. V.
    - family: Guyon
      given: I.
    - family: Garnett
      given: R.
  issued:
    - year: 2016
  page: 1750–1758
  publisher: Curran Associates, Inc.
  title: Scalable Adaptive Stochastic Optimization Using Random Projections
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/6054-scalable-adaptive-stochastic-optimization-using-random-projections.pdf

- id: KumarLiterature2016
  accessed:
    - year: 2016
      month: 7
      day: 4
  author:
    - family: Kumar
      given: N. Kishore
    - family: Shneider
      given: Jan
  citation-key: KumarLiterature2016
  container-title: arXiv:1606.06511 [cs, math]
  issued:
    - year: 2016
      month: 6
      day: 21
  title: Literature survey on low rank approximation of matrices
  type: article-journal
  URL: http://arxiv.org/abs/1606.06511

- id: LahiriRandom2016
  accessed:
    - year: 2016
      month: 7
      day: 25
  author:
    - family: Lahiri
      given: Subhaneil
    - family: Gao
      given: Peiran
    - family: Ganguli
      given: Surya
  citation-key: LahiriRandom2016
  container-title: arXiv:1607.04331 [cs, q-bio, stat]
  issued:
    - year: 2016
      month: 7
      day: 14
  title: Random projections of random manifolds
  type: article-journal
  URL: http://arxiv.org/abs/1607.04331

- id: LaunayDirect2020
  author:
    - family: Launay
      given: Julien
    - family: Poli
      given: Iacopo
    - family: Boniface
      given: François
    - family: Krzakala
      given: Florent
  citation-key: LaunayDirect2020
  container-title: Advances in Neural Information Processing Systems
  issued:
    - year: 2020
  language: en
  page: '15'
  title: >-
    Direct Feedback Alignment Scales to Modern Deep Learning Tasks and
    Architectures
  type: paper-conference
  URL: http://arxiv.org/abs/2006.12878
  volume: '33'

- id: LeeAlgorithms2001
  accessed:
    - year: 2015
      month: 5
      day: 31
  author:
    - family: Lee
      given: Daniel D.
    - family: Seung
      given: H. Sebastian
  citation-key: LeeAlgorithms2001
  container-title: Advances in Neural Information Processing Systems 13
  editor:
    - family: Leen
      given: T. K.
    - family: Dietterich
      given: T. G.
    - family: Tresp
      given: V.
  issued:
    - year: 2001
  page: 556–562
  publisher: MIT Press
  title: Algorithms for Non-negative Matrix Factorization
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/1861-algorithms-for-non-negative-matrix-factorization.pdf

- id: LibertyRandomized2007
  author:
    - family: Liberty
      given: Edo
    - family: Woolfe
      given: Franco
    - family: Martinsson
      given: Per-Gunnar
    - family: Rokhlin
      given: Vladimir
    - family: Tygert
      given: Mark
  citation-key: LibertyRandomized2007
  container-title: Proceedings of the National Academy of Sciences
  container-title-short: PNAS
  DOI: 10.1073/pnas.0709640104
  ISSN: 0027-8424, 1091-6490
  issue: '51'
  issued:
    - year: 2007
      month: 12
      day: 18
  language: en
  page: 20167-20172
  PMID: '18056803'
  title: Randomized algorithms for the low-rank approximation of matrices
  type: article-journal
  volume: '104'

- id: LiVery2006
  accessed:
    - year: 2014
      month: 11
      day: 20
  author:
    - family: Li
      given: Ping
    - family: Hastie
      given: Trevor J.
    - family: Church
      given: Kenneth W.
  citation-key: LiVery2006
  collection-title: KDD '06
  container-title: >-
    Proceedings of the 12th ACM SIGKDD International Conference on Knowledge
    Discovery and Data Mining
  DOI: 10.1145/1150402.1150436
  event-place: New York, NY, USA
  ISBN: 1-59593-339-5
  issued:
    - year: 2006
  page: 287–296
  publisher: ACM
  publisher-place: New York, NY, USA
  title: Very Sparse Random Projections
  type: paper-conference
  URL: http://web.stanford.edu/~hastie/Papers/Ping/KDD06_rp.pdf

- id: MahoneyRandomized2010
  accessed:
    - year: 2016
      month: 6
      day: 20
  author:
    - family: Mahoney
      given: Michael W.
  citation-key: MahoneyRandomized2010
  DOI: 10.1561/2200000035
  issued:
    - year: 2010
  language: en
  title: Randomized Algorithms for Matrices and Data
  type: book
  URL: http://arxiv.org/abs/1104.5557
  volume: '3'

- id: MartinssonRandomized2006
  author:
    - family: Martinsson
      given: Per-Gunnar
    - family: Rockhlin
      given: Vladimir
    - family: Tygert
      given: Mark
  citation-key: MartinssonRandomized2006
  issued:
    - year: 2006
  publisher: DTIC Document
  title: A randomized algorithm for the approximation of matrices
  type: report
  URL: >-
    http://oai.dtic.mil/oai/oai?verb=getRecord&metadataPrefix=html&identifier=ADA458932

- id: MartinssonRandomized2015
  accessed:
    - year: 2016
      month: 6
      day: 4
  author:
    - family: Martinsson
      given: Per-Gunnar
    - family: Voronin
      given: Sergey
  citation-key: MartinssonRandomized2015
  container-title: arXiv:1503.07157 [math]
  issued:
    - year: 2015
      month: 3
      day: 24
  title: >-
    A randomized blocked algorithm for efficiently computing rank-revealing
    factorizations of matrices
  type: article-journal
  URL: http://arxiv.org/abs/1503.07157

- id: MartinssonRandomized2016
  accessed:
    - year: 2016
      month: 8
      day: 4
  author:
    - family: Martinsson
      given: Per-Gunnar
  citation-key: MartinssonRandomized2016
  container-title: arXiv:1607.01649 [math]
  issued:
    - year: 2016
      month: 7
      day: 6
  title: >-
    Randomized methods for matrix computations and analysis of high dimensional
    data
  type: article-journal
  URL: http://arxiv.org/abs/1607.01649

- id: MeyerHutch2021
  accessed:
    - year: 2022
      month: 10
      day: 22
  author:
    - family: Meyer
      given: Raphael A.
    - family: Musco
      given: Cameron
    - family: Musco
      given: Christopher
    - family: Woodruff
      given: David P.
  citation-key: MeyerHutch2021
  DOI: 10.48550/arXiv.2010.09649
  issued:
    - year: 2021
      month: 6
      day: 10
  number: arXiv:2010.09649
  publisher: arXiv
  title: 'Hutch++: Optimal Stochastic Trace Estimation'
  type: article
  URL: http://arxiv.org/abs/2010.09649

- id: NakatsukasaAccuracy2017
  accessed:
    - year: 2023
      month: 5
      day: 18
  author:
    - family: Nakatsukasa
      given: Yuji
  citation-key: NakatsukasaAccuracy2017
  container-title: BIT Numerical Mathematics
  container-title-short: Bit Numer Math
  DOI: 10.1007/s10543-017-0665-x
  ISSN: 1572-9125
  issue: '4'
  issued:
    - year: 2017
      month: 12
      day: 1
  language: en
  page: 1137-1152
  title: Accuracy of singular vectors obtained by projection-based SVD methods
  type: article-journal
  volume: '57'

- id: Pourkamali-AnarakiRandomized2016
  accessed:
    - year: 2016
      month: 9
      day: 6
  author:
    - family: Pourkamali-Anaraki
      given: Farhad
    - family: Becker
      given: Stephen
  citation-key: Pourkamali-AnarakiRandomized2016
  container-title: arXiv:1608.07597 [stat]
  issued:
    - year: 2016
      month: 8
      day: 26
  title: A Randomized Approach to Efficient Kernel Clustering
  type: article-journal
  URL: http://arxiv.org/abs/1608.07597

- id: RabaniOutofCore2001
  author:
    - family: Rabani
      given: Eran
    - family: Toledo
      given: Sivan
  citation-key: RabaniOutofCore2001
  container-title: PPSC
  issued:
    - year: 2001
  language: en
  title: Out-of-Core SVD and QR Decompositions
  type: paper-conference
  URL: https://www.math.tau.ac.il/~stoledo/Bib/Pubs/pp01-qr.pdf

- id: RahimiRandom2007
  accessed:
    - year: 2014
      month: 8
      day: 20
  author:
    - family: Rahimi
      given: Ali
    - family: Recht
      given: Benjamin
  citation-key: RahimiRandom2007
  container-title: Advances in neural information processing systems
  issued:
    - year: 2007
  page: 1177–1184
  publisher: Curran Associates, Inc.
  title: Random features for large-scale kernel machines
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/3182-random-features-for-large-scale-kernel-machines

- id: RahimiWeighted2009
  accessed:
    - year: 2015
      month: 5
      day: 19
  author:
    - family: Rahimi
      given: Ali
    - family: Recht
      given: Benjamin
  citation-key: RahimiWeighted2009
  container-title: Advances in neural information processing systems
  issued:
    - year: 2009
  page: 1313–1320
  publisher: Curran Associates, Inc.
  title: >-
    Weighted Sums of Random Kitchen Sinks: Replacing minimization with
    randomization in learning
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/3495-weighted-sums-of-random-kitchen-sinks-replacing-minimization-with-randomization-in-learning

- id: RefinettiAlign2021
  accessed:
    - year: 2021
      month: 7
      day: 20
  author:
    - family: Refinetti
      given: Maria
    - family: Ascoli
      given: Stéphane
      non-dropping-particle: d’
    - family: Ohana
      given: Ruben
    - family: Goldt
      given: Sebastian
  citation-key: RefinettiAlign2021
  container-title: arXiv:2011.12428 [cond-mat, stat]
  issued:
    - year: 2021
      month: 6
      day: 10
  title: 'Align, then memorise: the dynamics of learning with feedback alignment'
  type: article-journal
  URL: http://arxiv.org/abs/2011.12428

- id: RokhlinFast2008
  author:
    - family: Rokhlin
      given: Vladimir
    - family: Tygert
      given: Mark
  citation-key: RokhlinFast2008
  container-title: Proceedings of the National Academy of Sciences
  container-title-short: PNAS
  DOI: 10.1073/pnas.0804869105
  ISSN: 0027-8424, 1091-6490
  issue: '36'
  issued:
    - year: 2008
      month: 9
      day: 9
  language: en
  page: 13212-13217
  PMID: '18779559'
  title: >-
    A fast randomized algorithm for overdetermined linear least-squares
    regression
  type: article-journal
  volume: '105'

- id: RokhlinRandomized2009
  author:
    - family: Rokhlin
      given: Vladimir
    - family: Szlam
      given: Arthur
    - family: Tygert
      given: Mark
  citation-key: RokhlinRandomized2009
  container-title: SIAM J. Matrix Anal. Appl.
  DOI: 10.1137/080736417
  ISSN: 0895-4798
  issue: '3'
  issued:
    - year: 2009
      month: 8
  page: 1100–1124
  title: A Randomized Algorithm for Principal Component Analysis
  type: article-journal
  URL: http://tygert.com/blanczos.pdf
  volume: '31'

- id: SaibabaRandomized2017
  accessed:
    - year: 2022
      month: 10
      day: 22
  author:
    - family: Saibaba
      given: Arvind K.
    - family: Alexanderian
      given: Alen
    - family: Ipsen
      given: Ilse C. F.
  citation-key: SaibabaRandomized2017
  DOI: 10.48550/arXiv.1605.04893
  issued:
    - year: 2017
      month: 2
      day: 15
  number: arXiv:1605.04893
  publisher: arXiv
  title: Randomized Matrix-free Trace and Log-Determinant Estimators
  type: article
  URL: http://arxiv.org/abs/1605.04893

- id: ShiSpectral2018
  accessed:
    - year: 2022
      month: 8
      day: 24
  author:
    - family: Shi
      given: Jiaxin
    - family: Sun
      given: Shengyang
    - family: Zhu
      given: Jun
  citation-key: ShiSpectral2018
  event-title: ICML
  issued:
    - year: 2018
      month: 6
      day: 7
  language: en
  publisher: arXiv
  title: A Spectral Approach to Gradient Estimation for Implicit Distributions
  type: paper-conference
  URL: http://arxiv.org/abs/1806.02925

- id: SkorskiModern2020
  accessed:
    - year: 2022
      month: 10
      day: 22
  author:
    - family: Skorski
      given: Maciej
  citation-key: SkorskiModern2020
  issued:
    - year: 2020
      month: 12
      day: 23
  language: en
  number: arXiv:2012.12895
  publisher: arXiv
  title: A Modern Analysis of Hutchinson's Trace Estimator
  type: article
  URL: http://arxiv.org/abs/2012.12895

- id: StergeStatistical2021
  accessed:
    - year: 2021
      month: 5
      day: 31
  author:
    - family: Sterge
      given: Nicholas
    - family: Sriperumbudur
      given: Bharath
  citation-key: StergeStatistical2021
  container-title: arXiv:2105.08875 [cs, math, stat]
  issued:
    - year: 2021
      month: 5
      day: 18
  title: Statistical Optimality and Computational Efficiency of Nyström Kernel PCA
  type: article-journal
  URL: http://arxiv.org/abs/2105.08875

- id: TroppIntroduction2015
  accessed:
    - year: 2015
      month: 1
      day: 20
  author:
    - family: Tropp
      given: Joel A.
  citation-key: TroppIntroduction2015
  issued:
    - year: 2015
      month: 1
      day: 7
  title: An Introduction to Matrix Concentration Inequalities
  type: book
  URL: http://arxiv.org/abs/1501.01571

- id: TroppRandomized2016
  accessed:
    - year: 2016
      month: 9
      day: 7
  author:
    - family: Tropp
      given: Joel A.
    - family: Yurtsever
      given: Alp
    - family: Udell
      given: Madeleine
    - family: Cevher
      given: Volkan
  citation-key: TroppRandomized2016
  container-title: arXiv:1609.00048 [cs, math, stat]
  issued:
    - year: 2016
      month: 8
      day: 31
  title: Randomized single-view algorithms for low-rank matrix approximation
  type: article-journal
  URL: http://arxiv.org/abs/1609.00048

- id: VoroninEfficient2014
  accessed:
    - year: 2016
      month: 6
      day: 4
  author:
    - family: Voronin
      given: Sergey
    - family: Martinsson
      given: Per-Gunnar
  citation-key: VoroninEfficient2014
  container-title: arXiv:1412.8447 [cs, math]
  issued:
    - year: 2014
      month: 12
      day: 29
  title: Efficient Algorithms for CUR and Interpolative Matrix Decompositions
  type: article-journal
  URL: http://arxiv.org/abs/1412.8447

- id: WangPractical2015
  accessed:
    - year: 2015
      month: 6
      day: 6
  author:
    - family: Wang
      given: Shusen
  citation-key: WangPractical2015
  container-title: arXiv:1505.07570 [cs]
  issued:
    - year: 2015
      month: 5
      day: 28
  title: >-
    A Practical Guide to Randomized Matrix Computations with MATLAB
    Implementations
  type: article-journal
  URL: http://arxiv.org/abs/1505.07570

- id: WoolfeFast2008
  author:
    - family: Woolfe
      given: Franco
    - family: Liberty
      given: Edo
    - family: Rokhlin
      given: Vladimir
    - family: Tygert
      given: Mark
  citation-key: WoolfeFast2008
  container-title: Applied and Computational Harmonic Analysis
  container-title-short: Applied and Computational Harmonic Analysis
  DOI: 10.1016/j.acha.2007.12.002
  ISSN: 1063-5203
  issue: '3'
  issued:
    - year: 2008
      month: 11
      day: 1
  page: 335-366
  title: A fast randomized algorithm for the approximation of matrices
  type: article-journal
  URL: http://www.tygert.com/frand.pdf
  volume: '25'

- id: YangImplementing2015
  accessed:
    - year: 2015
      month: 2
      day: 19
  author:
    - family: Yang
      given: Jiyan
    - family: Meng
      given: Xiangrui
    - family: Mahoney
      given: Michael W.
  citation-key: YangImplementing2015
  container-title: arXiv:1502.03032 [cs, math, stat]
  issued:
    - year: 2015
      month: 2
      day: 10
  title: >-
    Implementing Randomized Matrix Algorithms in Parallel and Distributed
    Environments
  type: article-journal
  URL: http://arxiv.org/abs/1502.03032

- id: YangNystrom2012
  accessed:
    - year: 2014
      month: 10
      day: 10
  author:
    - family: Yang
      given: Tianbao
    - family: Li
      given: Yu-Feng
    - family: Mahdavi
      given: Mehrdad
    - family: Jin
      given: Rong
    - family: Zhou
      given: Zhi-Hua
  citation-key: YangNystrom2012
  container-title: Advances in neural information processing systems
  issued:
    - year: 2012
  page: 476–484
  title: >-
    Nyström method vs random fourier features: A theoretical and empirical
    comparison
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/4588-nystrom-method-vs-random-fourier-features-a-theoretical-and-empirical-comparison

- id: YangQuasiMonte2014
  accessed:
    - year: 2015
      month: 1
      day: 9
  author:
    - family: Yang
      given: Jiyan
    - family: Sindhwani
      given: Vikas
    - family: Avron
      given: Haim
    - family: Mahoney
      given: Michael
  citation-key: YangQuasiMonte2014
  container-title: arXiv:1412.8293 [cs, math, stat]
  issued:
    - year: 2014
      month: 12
      day: 29
  title: Quasi-Monte Carlo Feature Maps for Shift-Invariant Kernels
  type: article-journal
  URL: http://arxiv.org/abs/1412.8293

- id: YuScalable2012
  author:
    - family: Yu
      given: Hsiang-Fu
    - family: Hsieh
      given: Cho-Jui
    - family: Si
      given: Si
    - family: Dhillon
      given: Inderjit S.
  citation-key: YuScalable2012
  container-title: IEEE International Conference of Data Mining
  DOI: 10.1109/ICDM.2012.168
  event-title: 2012 IEEE 12th International Conference on Data Mining
  issued:
    - year: 2012
  page: 765-774
  title: >-
    Scalable Coordinate Descent Approaches to Parallel Matrix Factorization for
    Recommender Systems
  type: paper-conference
  URL: http://www.cs.utexas.edu/~rofuyu/papers/icdm-pmf.pdf

- id: ZhangRandomization2017
  accessed:
    - year: 2017
      month: 8
      day: 28
  author:
    - family: Zhang
      given: Kai
    - family: Liu
      given: Chuanren
    - family: Zhang
      given: Jie
    - family: Xiong
      given: Hui
    - family: Xing
      given: Eric
    - family: Ye
      given: Jieping
  citation-key: ZhangRandomization2017
  collection-title: KDD '17
  container-title: >-
    Proceedings of the 23rd ACM SIGKDD International Conference on Knowledge
    Discovery and Data Mining
  DOI: 10.1145/3097983.3098050
  event-place: New York, NY, USA
  ISBN: 978-1-4503-4887-4
  issued:
    - year: 2017
  page: 615–623
  publisher: ACM
  publisher-place: New York, NY, USA
  title: >-
    Randomization or Condensation?: Linear-Cost Matrix Sketching Via Cascaded
    Compression Sampling
  type: paper-conference
  URL: http://doi.acm.org/10.1145/3097983.3098050

- id: ZhaoFast2017
  accessed:
    - year: 2017
      month: 5
      day: 17
  author:
    - family: Zhao
      given: Liang
  citation-key: ZhaoFast2017
  issued:
    - year: 2017
  title: Fast Algorithms on Random Matrices and Structured Matrices
  type: article-journal
  URL: http://academicworks.cuny.edu/gc_etds/2073/

- id: ZhouGoDec2011
  accessed:
    - year: 2023
      month: 8
      day: 22
  author:
    - family: Zhou
      given: Tianyi
    - family: Tao
      given: Dacheng
  citation-key: ZhouGoDec2011
  collection-title: ICML'11
  container-title: >-
    Proceedings of the 28th International Conference on International Conference
    on Machine Learning
  event-place: Madison, WI, USA
  ISBN: 978-1-4503-0619-5
  issued:
    - year: 2011
      month: 6
      day: 28
  page: 33–40
  publisher: Omnipress
  publisher-place: Madison, WI, USA
  title: 'GoDec: randomized low-rank & sparse matrix decomposition in noisy case'
  type: paper-conference
  URL: http://www.icml-2011.org/papers/41_icmlpaper.pdf
...
